Package ru.bitel.oss.systems.inventory.product.common.bean

# Class Product.Builder

java.lang.Object
ru.bitel.oss.systems.inventory.product.common.bean.Product.Builder

Enclosing class:
  `Product`

public static class Product.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Product`
  `build()`
  `Product.Builder`
  `setAccountId(int accountId)`
  `Product.Builder`
  `setActivationModeId(int activationMode)`
  `Product.Builder`
  `setActivationPrice(BigDecimal activationCost)`
  `Product.Builder`
  `setActivationTime(Date activationTime)`
  `Product.Builder`
  `setComment(String comment)`
  `Product.Builder`
  `setContractId(int contractId)`
  `Product.Builder`
  `setDeactivationTime(Date deactivationTime)`
  `Product.Builder`
  `setDescription(String description)`
  `Product.Builder`
  `setDeviceProductId(String deviceProductId)`
  `Product.Builder`
  `setDeviceState(short deviceState)`
  `Product.Builder`
  `setId(int id)`
  `Product.Builder`
  `setProductSpecId(int specId)`
  `Product.Builder`
  `setProductSpecTitle(String specTitle)`
  `Product.Builder`
  `setServiceList(List<Service> serviceList)`
  `Product.Builder`
  `setSubscriptionTimeFrom(Date subscriptionTimeFrom)`
  `Product.Builder`
  `setSubscriptionTimeTo(Date subscriptionTimeTo)`
  `Product.Builder`
  `setTimeFrom(Date timeFrom)`
  `Product.Builder`
  `setTimeTo(Date timeTo)`
  `Product.Builder`
  `setUserId(int userId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public Product.Builder setId(int id)

  - ### setContractId

    public Product.Builder setContractId(int contractId)

  - ### setAccountId

    public Product.Builder setAccountId(int accountId)

  - ### setProductSpecId

    public Product.Builder setProductSpecId(int specId)

  - ### setProductSpecTitle

    public Product.Builder setProductSpecTitle(String specTitle)

  - ### setTimeFrom

    public Product.Builder setTimeFrom(Date timeFrom)

  - ### setTimeTo

    public Product.Builder setTimeTo(Date timeTo)

  - ### setUserId

    public Product.Builder setUserId(int userId)

  - ### setActivationModeId

    public Product.Builder setActivationModeId(int activationMode)

  - ### setActivationPrice

    public Product.Builder setActivationPrice(BigDecimal activationCost)

  - ### setActivationTime

    public Product.Builder setActivationTime(Date activationTime)

  - ### setDeactivationTime

    public Product.Builder setDeactivationTime(Date deactivationTime)

  - ### setDeviceProductId

    public Product.Builder setDeviceProductId(String deviceProductId)

  - ### setDeviceState

    public Product.Builder setDeviceState(short deviceState)

  - ### setComment

    public Product.Builder setComment(String comment)

  - ### setDescription

    public Product.Builder setDescription(String description)

  - ### setServiceList

    public Product.Builder setServiceList(List<Service> serviceList)

  - ### setSubscriptionTimeTo

    public Product.Builder setSubscriptionTimeTo(Date subscriptionTimeTo)

  - ### setSubscriptionTimeFrom

    public Product.Builder setSubscriptionTimeFrom(Date subscriptionTimeFrom)

  - ### build

    public Product build()